%define anolis_release 2

%bcond_without check

Name:		autoconf
Version:	2.71
Release:	%{anolis_release}%{?dist}
Summary:	A GNU tool used to create autoconfiguration files
License:	GPLv2+ and GFDL
URL:		https://www.gnu.org/software/autoconf/
Source0:	https://ftp.gnu.org/gnu/autoconf/autoconf-%{version}.tar.xz

Patch0:     0001-_AC_PROG_CXX_STDCXX_EDITION_TRY-fix-typo-in-variable-name.patch
Patch1:     0002-Fix-testsuite-failures-with-bash-5.2.patch

Patch1000:  1000-disable-one-test-at-line-1616-of-autotest.patch

BuildArch:	noarch

BuildRequires:	perl
Requires:	perl-File-Compare
BuildRequires:	perl-generators
BuildRequires:	perl-macros
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Text::ParseWords)
BuildRequires:	m4
Requires:	m4
BuildRequires:	help2man
BuildRequires:	make

%if %{with check}
BuildRequires:	gcc-gfortran
BuildRequires:	erlang
%endif

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Autoconf::
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(Autoconf::

%description
GNU's Autoconf is a tool for configuring source code and Makefiles.
Using Autoconf, programmers can create portable and configurable
packages, since the person building the package is allowed to 
specify various configuration options.

You should install Autoconf if you are developing software and you'd
like to use it to create shell scripts which will configure your 
source code packages. If you are installing Autoconf, you will also
need to install the GNU m4 package.

Note that the Autoconf package is not required for the end user who
may be configuring software with an Autoconf-generated script; 
Autoconf is only required for the generation of the scripts, not
their use.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
export EMACS=/bin/false
%configure
%make_build

%check
%if %{with check}
%make_build check
%endif

%install
%make_install

%generate_compatibility_deps

%files
%license COPYING*
%{_bindir}/*
%{abidir}/%{name}*-option.list
%{_datadir}/autoconf
%{_infodir}/autoconf.info*
%{_mandir}/man1/*
%exclude %{_infodir}/standards*

%files doc
%doc AUTHORS ChangeLog NEWS README THANKS TODO

%changelog
* Mon Dec 12 2022 yuanhui <yuanhui@linux.alibaba.com> - 2.71-2
- Add doc packages and abi files
- Fix typo in variable name
- Fix testsuite failures with bash 5.2
- Disable testcase 227 for parallel auto test and signal handling failure
- Use %%bcond_without for --with/out=check

* Tue Apr 12 2022 Su Lifan <su-lifan@linux.alibaba.com> - 2.71-1
- Initial packaging for Anolis OS 23

